/*
*   @description: 服务费管理订单字典
  @Modifier: haofengxian
  @routerPath:
  @date: 2021-3-12-14:11*/
import { filterDictText, moneyFormat, numFilter } from '@/assets/js/utils' // 字典方法
export const orderServeFeeMixins = {
  data() {
    return {
      // 发货服务费管理-列表-tabs
      supplierSeverTabs: [
        { index: '00', name: '待缴费' },
        { index: '01', name: '已缴费' }
      ],
      // 收货服务费管理-列表-tabs
      purchaseServerTabs: [
        { index: '00', name: '待确认收费' },
        { index: '05', name: '审核中服务费' },
        { index: '01', name: '供应商待缴费' },
        { index: '02', name: '供应商已缴费' },
        { index: '03', name: '已减免收费' },
        { index: '04', name: '异常缴费处理' },
        { index: '06', name: '异常处理记录' }
      ],
      // 服务费状态
      service_fee_statusList: [],
      // 供应商服务费状态
      service_fee_voucher_statusList: [],
      // 有无减免
      ifReliefList: [
        { typecode: '0', typename: '无' },
        { typecode: '1', typename: '有' }
      ],
      KPZTList: [], // 开票状态
      // 审核状态
      auditStatusList: [
        { typename: '待审核', typecode: '00' },
        { typename: '审核通过', typecode: '01' },
        { typename: '审核不通过', typecode: '02' },
        { typename: '撤回', typecode: '03' }
      ],
      // 业务类型
      skTypeList: [
        { typename: '收款单', typecode: '00' },
        { typename: '减免收款单', typecode: '01' },
        { typename: '异常缴纳关联订单', typecode: '02' },
        { typename: '异常缴纳处理', typecode: '03' }
      ],
      // 处理类型
      processingTypeList: [
        { typename: '关联订单', typecode: '00' },
        { typename: '异常缴费', typecode: '01' }
      ],
      // 收款单附件类型
      skdFileTypeData: {
        bizId: '', // 业务主键Id
        fileType: 'skdFileType'// 文件类型
      },
      // 减免收款附件类型
      jmskdFileTypeData: {
        bizId: '', // 业务主键Id
        fileType: 'jmskdFileType'// 文件类型
      },
      // 异常缴纳关联订单
      ycjnddFileTypeData: {
        bizId: '', // 业务主键Id
        fileType: 'ycjnddFileType'// 文件类型
      },
      // 异常缴纳处理
      ycjnclFileTypeData: {
        bizId: '', // 业务主键Id
        fileType: 'ycjnclFileType'// 文件类型
      }
    }
  },
  methods: {
    numFilter, // 保留两位小数
    moneyFormat, // 金额千分位
    filterDictText, // 引入字典值替换文本通用方法
    getGroupType() {
      const data = ['service_fee_status', 'KPZT', 'service_fee_voucher_status']
      this.$store.dispatch('getGroupType', data).then(res => {
        Object.keys(res.bidTypeData).forEach((key) => {
          this[key] = res.bidTypeData[key]
        })
      })
    },
    // 服务单状态
    formatterOrderStatus(row, column, cellValue) {
      return filterDictText(this.service_fee_statusList, cellValue)
    },
    // 收款单状态
    formatterVoucherStatus(row, column, cellValue) {
      return filterDictText(this.service_fee_voucher_statusList, cellValue)
    },
    // 是否减免
    formatterIfRelief(row, column, cellValue) {
      return filterDictText(this.ifReliefList, cellValue)
    },
    // 表格-金额显示
    formatterOrderTotalMoney(row, column, cellValue) {
      return numFilter(cellValue)
    },
    // 表格过滤日期
    formatterMoment(row, column, cellValue) {
      return cellValue && this.$Moment(cellValue).format(this.momentDateTime)
    },
    // 开票状态
    formatterInvoiceStatus(row, column, cellValue) {
      return filterDictText(this.KPZTList, cellValue)
    },
    // 审核中服务费-审核状态
    formatterAuditStatus(row, column, cellValue) {
      return filterDictText(this.auditStatusList, cellValue)
    },
    // 审核中服务费-业务类型
    formatterSkType(row, column, cellValue) {
      return filterDictText(this.skTypeList, cellValue)
    },
    // 异常处理记录-处理类型
    processingTypeStatus(row, column, cellValue) {
      return filterDictText(this.processingTypeList, cellValue)
    }
  }
}
